AOWP_PHPCatchStatementElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPCatchStatementElement
/parser/ast/PHPCatchStatementElement.class.php at line 19

# Class AOWP_PHPCatchStatementElement

    AOWP_PHPElement
        └─AOWP_PHPInnerStatementContainerElement
           └─AOWP_PHPCatchStatementElement

public class AOWP_PHPCatchStatementElement
extends AOWP_PHPInnerStatementContainerElement

PHPCatchStatementElement PHPのASTにおける「catch」を表すクラス 文法規則: unticked_statement

Author:
  Ryoto Naruse /

Field Summary
mixed | $className
mixed | $variable

Fields inherited from aowp.parser.ast.util.AOWP_PHPInnerStatementContainerElement
innerStatements

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPCatchStatementElement(mixed _line, mixed className, mixed variable, mixed innerStatements)

Method Summary
void | __toString()
void | kind()

Methods inherited from aowp.parser.ast.util.AOWP_PHPInnerStatementContainerElement
getInnerStatements, insertElement, insertElementArray, removeAllElements, removeElement, replaceElement, replaceElementWithElements, searchElementIndex, setElement, setElements, spliceStatement

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPCatchStatementElement.class.php at line 20

### className

`public mixed $className`

/parser/ast/PHPCatchStatementElement.class.php at line 21

### variable

`public mixed $variable`

## Constructor Detail

/parser/ast/PHPCatchStatementElement.class.php at line 23

### AOWP_PHPCatchStatementElement

`public AOWP_PHPCatchStatementElement(mixed _line, mixed className, mixed variable, mixed innerStatements)`

## Method Detail

/parser/ast/PHPCatchStatementElement.class.php at line 30

### __toString

`public void __toString()`

/parser/ast/PHPCatchStatementElement.class.php at line 35

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr